Director Name Autocomplete API

AI Tools

DISPLAY SUGGESTIONS AS USERS TYPE DIRECTOR NAME ON YOUR WEBSITE

Description

Companies usually include a search box on their website where clients may type in the first few characters of the director name and have potential full names come up automatically. With its indexed database of more than 4 million directors in India, Attestr has made this Autocomplete feature available via a plug-and-play API.


The legacy data processing model is being formally deprecated.

In order to ensure continued compliance with the Digital Personal Data Protection Act, 2023 (DPDP Act), we are implementing DPDP V3 (Consent-Driven Processing). Under this framework, clients are required to obtain explicit, informed, and verifiable consent from the data principal prior to accessing, processing, viewing, or storing any personal data through the platform. This regulatory transition may require modifications to existing configurations and workflows. Clients are advised to review and update their implementations to ensure ongoing compliance with applicable data protection obligations. Further information regarding this transition can be enquired here. Learn more about this change here.

API Details

Request

Type

URL

Current / LTS Version

Min Version

Max Version

POST

https://api.attestr.com/api/{version}/public/corpx/director/autocomplete

v2

v2


Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v2


String

Authorization

Basic {authToken}

Required

v2


Info

If you do not have the authentication token, please refer to Register App

Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

fullName

User entered text for searching director names. The text can be present anywhere in the director name. All names which contain the user provided text are returned in the response. Text must be minimum 3 and maximum 100 characters in length.

Required

v2


String

status

Filter autocomplete suggestions by DIN status. Allowed values are as follows.

"Approved", "Disabled", "Deactivated","Inactive", "Lapsed", "Provisional", "Rejected", "Surrendered"

Optional

v2


Number

limit

Limit the number of results in the suggestions. Min 1 and max 100 supported.

Optional

v2


String

sort

Sort parameter. Allowed values are -score, fullName, status

Optional

v2


Number

sortOrder

Sort order. Use 1 for ascending and -1 for descending order. sort and sortOrder must be used in conjunction.

Optional

v2


Sample Request

{ "fullName": "SAUR", "status": "Approved", "limit": 100, "sort": "score", "sortOrder": -1 }

Response

HTTP status code 200

Key

Description

Type

Min Version

Max Version

indexId

Unique Attestr index Id assigned to every registered director.

String

v2


firsName

Director first name

String

v2


middleName

Director middle name

String

v2


lastName

Director last name

String

v2


fullName

Disqualified status

String

v2


disqualified

Disqualified status

Boolean

v2


status

DIN status as registered

String

v2


dir3KYCFiled

Whether dir3KYC has been filed or not by the director

Boolean

v2


associations

List of associated companies. Record definition is as follows. reg: CIN number of the entity businessName: Legal entity name

Object

v2


Sample Response

Sample response for matching results found

[ { "firstName": "SAURABH", "middleName": "VIJAY", "lastName": "JAIN", "disqualified": false, "status": "Approved", "dir3KYCFiled": true, "associations": [ { "reg": "U40109HP2012PTC000260", "businessName": "KAMAKSHA ELECTRICAL POWER PROJECT PRIVATE LIMITED" }, { "reg": "U34300DL1997PTC087120", "businessName": "SAVIJ INTERNATIONAL PRIVATE LIMITED" }, { "reg": "U74899DL1971PTC005515", "businessName": "DICKY PHARMACEUTICALS PVT LTD" } ], "indexId": "00305766", "fullName": "SAURABH VIJAY JAIN" }, { "firstName": "SAURAV", "middleName": "KUMAR", "lastName": "AGARWAL", "disqualified": false, "status": "Approved", "dir3KYCFiled": true, "associations": [ { "reg": "U15122WB2013PTC198506", "businessName": "CHANDRAKALA FOOD PRODUCTS PRIVATE LIMITED" }, { "reg": "U70200WB2013PTC193306", "businessName": "SWAROOP HIGHTS PRIVATE LIMITED" }, { "reg": "U45400WB2004PTC098181", "businessName": "TOPLINE INFRA-PROJECTS PRIVATE LIMITED" } ], "indexId": "01436476", "fullName": "SAURAV KUMAR AGARWAL" } ]

Sample response for no records

[]

Error Response

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Sample Error Response

{ "code": 4001, "message": "Malformed data or missing required parameter values" }


  Last updated